package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Setsta;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface SetstaMapper {

    int insert(Setsta record);

    int insertSelective(Setsta record);

    int updateByPrimaryKeySelective(Setsta record);

    int updateByPrimaryKey(Setsta record);

    int deleteByPrimaryKey(Setsta record);

    int deleteByIds(Collection<Object> collection);

    Setsta selectByPrimaryKey(Setsta record);

    int dyncDelete(Map<String, Object> dyncMap);

    int dyncUpdate(Map<String, Object> dyncMap);

    List<Setsta> dyncRead(Map<String, Object> dyncMap);

    BigDecimal getSumAmtByPtyinrAndCur(@Param("ptyinr") String ptyinr, @Param("cur") String cur);

    BigDecimal getSumLstamtByPtyinrAndCur(@Param("ptyinr") String ptyinr, @Param("cur") String cur);
}